import {connect} from 'react-redux'
import StoreList from '../components/StoreList'
import {getStoreList, getItems, toPage, clearStore, setStore} from '../actions'

const mapStateToProps = (state) => ({
  dev: state.sys.dev,
  show: state.ui.page == 0,
  refresh: state.ui.loading,
  list: state.sys.store || []
})

const mapDispatchToProps = (dispatch, ownProps) => ({
  getList: () => {
    dispatch(getStoreList())
  },
  loadItems: (id) => {
    dispatch(clearStore())
    dispatch(setStore(id))
    dispatch(toPage(1))
    dispatch(getItems(id))
  }
})

export default connect(mapStateToProps, mapDispatchToProps)(StoreList)